#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:    armv5tl

Summary:        Lib for common kdepim apps
Name:           libkdepim
Version: 17.12.2
Epoch:          2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        %{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5DBus) 
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Designer)

BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Akonadi) >= 5.3.1
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5AkonadiContact) >= 5.3.0
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5CalendarCore)

BuildRequires:  boost-devel

Conflicts:      kaddressbook < 2:16.04.0

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Lib for common kdepim apps.

%files -f %name.lang
%_sysconfdir/xdg/libkdepim.categories
%_sysconfdir/xdg/libkdepim.renamecategories
%_qt5_plugindir/kcm_ldap.so
%_datadir/dbus-1/interfaces/org.kde.addressbook.service.xml
%_datadir/dbus-1/interfaces/org.kde.mailtransport.service.xml
%_kf5_datadir/kdepimwidgets
%_kf5_datadir/kservices5/kcmldap.desktop

#--------------------------------------------------------------------

%define kf5libkdepim_major 5
%define libkf5libkdepim %mklibname kf5libkdepim %{kf5libkdepim_major}

%package -n %libkf5libkdepim
Summary:        Lib for common kdepim apps
Group:          System/Libraries
Requires:       %name = %epoch:%version-%release

%description -n %libkf5libkdepim
Lib for common kdepim apps.

%files -n %libkf5libkdepim
%_kf5_libdir/libKF5Libkdepim.so.%{kf5libkdepim_major}*

#--------------------------------------------------------------------

%define kf5libkdepimakonadi_major 5
%define libkf5libkdepimakonadi %mklibname kf5libkdepimakonadi %{kf5libkdepimakonadi_major}

%package -n %libkf5libkdepimakonadi
Summary:        Lib for common kdepim apps
Group:          System/Libraries
Requires:       %name = %epoch:%version-%release

%description -n %libkf5libkdepimakonadi
Lib for common kdepim apps.

%files -n %libkf5libkdepimakonadi
%_kf5_libdir/libKF5LibkdepimAkonadi.so.%{kf5libkdepimakonadi_major}*

#--------------------------------------------------------------------

%define kf5libkdepim_devel %mklibname kf5libkdepim -d

%package -n %kf5libkdepim_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5libkdepim = %epoch:%version-%release
Requires:       %libkf5libkdepimakonadi = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5libkdepim_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5libkdepim_devel
%_kf5_includedir/Libkdepim/
%_kf5_includedir/libkdepim/
%_kf5_includedir/libkdepimakonadi/
%_kf5_includedir/LibkdepimAkonadi/
%_kf5_includedir/libkdepim_version.h
%_kf5_includedir/libkdepimakonadi_version.h
%_kf5_libdir/libKF5Libkdepim.so
%_kf5_libdir/libKF5LibkdepimAkonadi.so
%_qt5_plugindir/designer/kdepimwidgets.so
%_kf5_libdir/cmake/KF5Libkdepim/
%_kf5_libdir/cmake/MailTransportDBusService/
%_kf5_libdir/cmake/KF5LibkdepimAkonadi/
%_qt5_prefix/mkspecs/modules/qt_Libkdepim.pri
%_qt5_prefix/mkspecs/modules/qt_LibkdepimAkonadi.pri
%_qt5_plugindir/designer/kdepimakonadiwidgets.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name



%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202343
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090145
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076887
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073753
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067399
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061462
- New version 16.08.2

* Tue Sep 20 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1054811
- Exclude armv5tl as some build deps are not buildable

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051753
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1049758
- Rebuild for armv7

* Mon Aug 22 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047835
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040128
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012618
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1006093
- Add conflicts to ease upgrade

* Mon Apr 25 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1005977
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 2:16.03.80-4.mga6
+ Revision: 997891
- Fix Requires on main package

* Wed Mar 30 2016 neoclust <neoclust> 2:16.03.80-3.mga6
+ Revision: 996776
- Add epoch to ease upgrade
- Fix devel package name
- imported package libkdepim

